TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.SecurityException Class Reference

The method cannot complete because of a security restriction More...

Inheritance diagram for TIBCO.EMS.SecurityException:

## Public Member Functions
| SecurityException (string reason, string errorCode)
| Initializes a new instance of the SecurityException with the specified reason and error code. More...
| SecurityException (string reason)
| Initializes a new instance of the SecurityException with the specified reason. More...
Public Member Functions inherited from TIBCO.EMS.EMSException
| EMSException (string reason, string errorCode)
| Initializes a new instance of the EMSException with the specified reason and error code. More...
| EMSException (string reason)
| Initializes a new instance of the EMSException with the specified reason. More...
| EMSException (string reason, int errorNumber)
| Initializes a new instance of the EMSException with the specified reason and error number More...

## Additional Inherited Members
Properties inherited from TIBCO.EMS.EMSException
string | ErrorCode`[get]`
| Gets the error code associated with this exception More...
System.Exception | LinkedException`[get, set]`
| Get and Set the exception linked to this one More...

## Detailed Description

The method cannot complete because of a security restriction

This exception is thrown when a TIBCO EMS Server rejects a user name/password submitted by a client. It may also be thrown for any case where a security restriction prevents a method from completing.

For example, the provider rejects a user or the user's authentication.

## Constructor & Destructor Documentation

TIBCO.EMS.SecurityException.SecurityException | ( | string | reason,
|  | string | errorCode
| ) |  |
| inline

Initializes a new instance of the SecurityException with the specified reason and error code.

TIBCO.EMS.SecurityException.SecurityException | ( | string | reason | ) |
| inline

Initializes a new instance of the SecurityException with the specified reason.